#!/usr/bin/env bash
# ------------------------------------------------------------------------------
# This script pulls all results from all or a specific profiling results folder.
# ------------------------------------------------------------------------------

if [ -z "$1" ]; then
    echo "Pulling all results.."

    # Pull results from res-gpu_prof_n1.
    scp -r lumi:ectrans-dwarf/profiling/res-gpu_prof_n1/**/*.db
    scp -r lumi:ectrans-dwarf/profiling/res-gpu_prof_n1/**/*.json
    scp -r lumi:ectrans-dwarf/profiling/res-gpu_prof_n1/**/*.sysinfo.txt
else
    echo "Pulling specific results $1:.."
fi
